- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Namespaces | Functions
kruskal.h File Reference
Minimum Spanning Tree Algorithms
`#include <algorithm>`
`#include <vector>`
`#include <lemon/unionfind.h>`
`#include <lemon/maps.h>`
`#include <lemon/core.h>`
`#include <lemon/bits/traits.h>`

## Namespaces
| lemon
| The namespace of LEMON.

## Functions
template<typename Graph , typename In , typename Out >
Value | kruskal (const Graph &g, const In &in, Out &out)
| Kruskal's algorithm for finding a minimum cost spanning tree of a graph. More...